Arquivo da categoria: Área

Área de uma Região Fechada num Click

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Você clica num ponto interior de uma região fechada e a área é calculada e o resultado escrito no ponto onde você clicou (defun c:AreaRF ()(setq p1 … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário

Calcula a área do último objeto desenhado

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Calcula a área do último objeto desenhado e a escreve no ponto clicado (defun c:AreaLast ()(command “area” “o” “l” “”)(setq p1 (getpoint “P …”))(setq ar (rtos (getvar … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário

Click no interior de uma região fechada para obter a área

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Click no interior de uma região fechada para obter a área da mesma (defun c:AreaRF ()(setq p1 (getpoint “P1”))(command “_boundary” p1 “”)(command “area” “ob” “l” “”)(setq a … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário